%global momorel 4

Summary: The core libraries for the GNOME GUI desktop environment for C#.
Name: gnome-desktop-sharp

Version: 2.26.0
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://mono-project.com/GtkSharp/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: gtk2-devel >= 2.15.5
BuildPrereq: mono-devel >= 2.2
BuildPrereq: gtk-sharp2-devel >= 2.12.8
BuildPrereq: gnome-sharp-devel >= 2.24.1
BuildPrereq: nautilus-cd-burner-devel >= 2.24.0
BuildPrereq: librsvg2-devel >= 2.22.3
BuildPrereq: gtkhtml3-devel >= 3.25.92
BuildPrereq: gtksourceview2-devel >= 2.5.6
BuildPrereq: vte-devel >= 0.20.5
BuildPrereq: libwnck-devel >= 2.25.91

Obsoletes: gtksourceview-sharp-2.0 <= %{version}

%description
GnomeDesktop# is a .NET language binding for assorted GNOME libraries
from the desktop release.  GnomeDesktop# is free software, licensed
under the GNU LGPL.

%package devel
Summary: The desktop libraries and include files for GNOME development for C#.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnome-sharp-devel
Requires: gtk-sharp2-devel

Obsoletes: gtksourceview-sharp-2.0-devel <= %{version}

%description devel
gnome-desktop-sharp-devel

%prep
%setup -q

%build
autoreconf -if
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_libdir}/*.so
%exclude %{_libdir}/*.la

%{_prefix}/lib/mono/gac/gnomedesktop-sharp
%{_prefix}/lib/mono/gac/gnome-panel-sharp
%{_prefix}/lib/mono/gac/gnome-print-sharp
%{_prefix}/lib/mono/gac/gtkhtml-sharp
%{_prefix}/lib/mono/gac/gtksourceview2-sharp
%{_prefix}/lib/mono/gac/nautilusburn-sharp
%{_prefix}/lib/mono/gac/rsvg2-sharp
%{_prefix}/lib/mono/gac/vte-sharp
%{_prefix}/lib/mono/gac/wnck-sharp

%{_prefix}/lib/mono/gnomedesktop-sharp-2.20
%{_prefix}/lib/mono/gnome-panel-sharp-2.24
%{_prefix}/lib/mono/gnome-print-sharp-2.18
%{_prefix}/lib/mono/gtkhtml-sharp-3.14
%{_prefix}/lib/mono/gtksourceview2-sharp-2.0
%{_prefix}/lib/mono/nautilusburn-sharp-2.20
%{_prefix}/lib/mono/rsvg2-sharp-2.0
%{_prefix}/lib/mono/vte-sharp-0.16
%{_prefix}/lib/mono/wnck-sharp-2.20

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc

%{_datadir}/gnomedesktop-sharp
%{_datadir}/gnome-panel-sharp
%{_datadir}/gnome-print-sharp
%{_datadir}/gtkhtml-sharp
%{_datadir}/gtksourceview2-sharp
%{_datadir}/nautilusburn-sharp
%{_datadir}/rsvg2-sharp
%{_datadir}/vte-sharp
%{_datadir}/wnck-sharp

%changelog
* Wed Jun 10 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-4m)
- rebuild against vte-0.20.5

* Tue Jun  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-3m)
- rebuild against vte-0.20.4

* Wed May 27 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.26.0-2m)
- libtool build fix

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.0-2m)
- rebuild against rpm-4.6

* Thu Oct  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.20.1-3m)
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.20.1-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Sat Mar  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-3m)
- add patch1 (fix install path)

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-2m)
- add patch0 (fix install path)

* Wed Mar  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- initial build
